Package com.android.server.os

# Class LinphoneTombstoneProtos.LogMessage

java.lang.Object
com.google.protobuf.AbstractMessageLite<MessageType,BuilderType>
com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogMessage,LinphoneTombstoneProtos.LogMessage.Builder>
com.android.server.os.LinphoneTombstoneProtos.LogMessage

All Implemented Interfaces:
  `LinphoneTombstoneProtos.LogMessageOrBuilder`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`

Enclosing class:
  LinphoneTombstoneProtos

public static final class LinphoneTombstoneProtos.LogMessage extends com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogMessage,LinphoneTombstoneProtos.LogMessage.Builder> implements LinphoneTombstoneProtos.LogMessageOrBuilder
Protobuf type `LogMessage`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LinphoneTombstoneProtos.LogMessage.Builder`
Protobuf type `LogMessage`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageLite

`com.google.protobuf.GeneratedMessageLite.DefaultInstanceBasedParser<T extends com.google.protobuf.GeneratedMessageLite<T,?>>, com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageLite.ExtendableMessage<MessageType,BuilderType>,BuilderType extends com.google.protobuf.GeneratedMessageLite.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageLite.GeneratedExtension<ContainingType extends com.google.protobuf.MessageLite,Type extends Object>, com.google.protobuf.GeneratedMessageLite.MethodToInvoke, com.google.protobuf.GeneratedMessageLite.SerializedForm`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`MESSAGE_FIELD_NUMBER`
`static final int`
`PID_FIELD_NUMBER`
`static final int`
`PRIORITY_FIELD_NUMBER`
`static final int`
`TAG_FIELD_NUMBER`
`static final int`
`TID_FIELD_NUMBER`
`static final int`
`TIMESTAMP_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageLite

`unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`protected final Object`
`dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)`
`static LinphoneTombstoneProtos.LogMessage`
`getDefaultInstance()`
`String`
`getMessage()`
`string message = 6;`
`com.google.protobuf.ByteString`
`getMessageBytes()`
`string message = 6;`
`int`
`getPid()`
`uint32 pid = 2;`
`int`
`getPriority()`
`uint32 priority = 4;`
`String`
`getTag()`
`string tag = 5;`
`com.google.protobuf.ByteString`
`getTagBytes()`
`string tag = 5;`
`int`
`getTid()`
`uint32 tid = 3;`
`String`
`getTimestamp()`
`string timestamp = 1;`
`com.google.protobuf.ByteString`
`getTimestampBytes()`
`string timestamp = 1;`
`static LinphoneTombstoneProtos.LogMessage.Builder`
`newBuilder()`
`static LinphoneTombstoneProtos.LogMessage.Builder`
`newBuilder(LinphoneTombstoneProtos.LogMessage prototype)`
`static LinphoneTombstoneProtos.LogMessage`
`parseDelimitedFrom(InputStream input)`
`static LinphoneTombstoneProtos.LogMessage`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(byte[] data)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(com.google.protobuf.ByteString data)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(InputStream input)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(ByteBuffer data)`
`static LinphoneTombstoneProtos.LogMessage`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<LinphoneTombstoneProtos.LogMessage>`
`parser()`

### Methods inherited from class com.google.protobuf.GeneratedMessageLite

`createBuilder, createBuilder, dynamicMethod, dynamicMethod, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, emptyProtobufList, equals, getDefaultInstanceForType, getParserForType, getSerializedSize, hashCode, isInitialized, isInitialized, makeImmutable, mergeLengthDelimitedField, mergeUnknownFields, mergeVarintField, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBuilderForType, newMessageInfo, newRepeatedGeneratedExtension, newSingularGeneratedExtension, parseDelimitedFrom, parseDelimitedFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parseFrom, parsePartialFrom, parseUnknownField, registerDefaultInstance, toBuilder, toString, writeTo`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`getDefaultInstanceForType, isInitialized`

## Field Details

### TIMESTAMP_FIELD_NUMBER

public static final int TIMESTAMP_FIELD_NUMBER

See Also:
  - Constant Field Values

### PID_FIELD_NUMBER

public static final int PID_FIELD_NUMBER

See Also:
  - Constant Field Values

### TID_FIELD_NUMBER

public static final int TID_FIELD_NUMBER

See Also:
  - Constant Field Values

### PRIORITY_FIELD_NUMBER

public static final int PRIORITY_FIELD_NUMBER

See Also:
  - Constant Field Values

### TAG_FIELD_NUMBER

public static final int TAG_FIELD_NUMBER

See Also:
  - Constant Field Values

### MESSAGE_FIELD_NUMBER

public static final int MESSAGE_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getTimestamp

public String getTimestamp()
`string timestamp = 1;`

Specified by:
  `getTimestamp` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The timestamp.

### getTimestampBytes

public com.google.protobuf.ByteString getTimestampBytes()
`string timestamp = 1;`

Specified by:
  `getTimestampBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for timestamp.

### getPid

public int getPid()
`uint32 pid = 2;`

Specified by:
  `getPid` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The pid.

### getTid

public int getTid()
`uint32 tid = 3;`

Specified by:
  `getTid` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The tid.

### getPriority

public int getPriority()
`uint32 priority = 4;`

Specified by:
  `getPriority` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The priority.

### getTag

public String getTag()
`string tag = 5;`

Specified by:
  `getTag` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The tag.

### getTagBytes

public com.google.protobuf.ByteString getTagBytes()
`string tag = 5;`

Specified by:
  `getTagBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for tag.

### getMessage

public String getMessage()
`string message = 6;`

Specified by:
  `getMessage` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The message.

### getMessageBytes

public com.google.protobuf.ByteString getMessageBytes()
`string message = 6;`

Specified by:
  `getMessageBytes` in interface `LinphoneTombstoneProtos.LogMessageOrBuilder`
Returns:
  The bytes for message.

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.LogMessage parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static LinphoneTombstoneProtos.LogMessage parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static LinphoneTombstoneProtos.LogMessage parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilder

public static LinphoneTombstoneProtos.LogMessage.Builder newBuilder()

### newBuilder

public static LinphoneTombstoneProtos.LogMessage.Builder newBuilder(LinphoneTombstoneProtos.LogMessage prototype)

### dynamicMethod

protected final Object dynamicMethod(com.google.protobuf.GeneratedMessageLite.MethodToInvoke method, Object arg0, Object arg1)

Specified by:
  `dynamicMethod` in class `com.google.protobuf.GeneratedMessageLite<LinphoneTombstoneProtos.LogMessage,LinphoneTombstoneProtos.LogMessage.Builder>`

### getDefaultInstance

public static LinphoneTombstoneProtos.LogMessage getDefaultInstance()

### parser

public static com.google.protobuf.Parser<LinphoneTombstoneProtos.LogMessage> parser()